summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michales Michaloudes2021-03-06 05:06:05 +0100
committer Willy Sudiarto Raharjo2021-03-06 05:11:57 +0100
commit654f6e61919850bdde641286c5da6d0d1bb1d2da (patch)
treeede90d983db00dbe3796437b3d3306fd12a77e67
parenta3889fc31630dc803ddeb8b15321ffc00136ea3d (diff)
downloadslackbuilds-654f6e61919850bdde641286c5da6d0d1bb1d2da.tar.gz
audio/drumstick: Added (C++ MIDI libraries using Qt5 objects)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--audio/drumstick/README11
-rw-r--r--audio/drumstick/doinst.sh9
-rw-r--r--audio/drumstick/drumstick.SlackBuild106
-rw-r--r--audio/drumstick/drumstick.info10
-rw-r--r--audio/drumstick/slack-desc19
5 files changed, 155 insertions, 0 deletions
diff --git a/audio/drumstick/README b/audio/drumstick/README
new file mode 100644
index 0000000000..27bda2f50f
--- /dev/null
+++ b/audio/drumstick/README
@@ -0,0 +1,11 @@
+Drumstick is a set C++ MIDI libraries using Qt5 objects, idioms and
+style. It contains a C++ wrapper around the ALSA library sequencer
+interface; ALSA sequencer provides software support for MIDI technology
+on Linux.
+
+A complementary library provides classes for SMF (Standard MIDI files:
+.MID/.KAR), and Cakewalk (.WRK) file formats processing. A multiplatform
+realtime MIDI I/O library and GUI Widgets are also provided.
+
+You also get in GUI: midi file player, drumgrid, virtual piano
+And in CLI: metronome, dump{mid,ove,smf,wrk}, playsmf.
diff --git a/audio/drumstick/doinst.sh b/audio/drumstick/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/audio/drumstick/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/audio/drumstick/drumstick.SlackBuild b/audio/drumstick/drumstick.SlackBuild
new file mode 100644
index 0000000000..c8a0f565f1
--- /dev/null
+++ b/audio/drumstick/drumstick.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for <drumstick>
+#
+# Copyright Michales (clavisound) Michaloudes korgie@gmail.com <2019>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=drumstick
+VERSION=${VERSION:-1.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog README TODO NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+#cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/drumstick/drumstick.info b/audio/drumstick/drumstick.info
new file mode 100644
index 0000000000..40dcc5a145
--- /dev/null
+++ b/audio/drumstick/drumstick.info
@@ -0,0 +1,10 @@
+PRGNAM="drumstick"
+VERSION="1.1.3"
+HOMEPAGE="https://drumstick.sourceforge.io/"
+DOWNLOAD="https://sourceforge.net/projects/drumstick/files/1.1.3/drumstick-1.1.3.tar.bz2"
+MD5SUM="80de9f184341c41f459fef8862d4d560"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5"
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
diff --git a/audio/drumstick/slack-desc b/audio/drumstick/slack-desc
new file mode 100644
index 0000000000..4ac4044820
--- /dev/null
+++ b/audio/drumstick/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+drumstick: drumstick (C++ MIDI libraries using Qt5 objects)
+drumstick:
+drumstick: It contains a C++ wrapper around the ALSA library sequencer
+drumstick: interface; ALSA sequencer provides software support for MIDI
+drumstick: technology on Linux. A complementary library provides classes for
+drumstick: SMF (Standard MIDI files: .MID/.KAR), and Cakewalk (.WRK) file
+drumstick: formats processing. A multiplatform realtime MIDI I/O library and
+drumstick: GUI Widgets are also provided.
+drumstick:
+drumstick:
+drumstick: